package com.liquidnet.service.chime.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.liquidnet.common.third.easemob.util.EasemobUtil;
import com.liquidnet.service.chime.dto.ChimeUserRegisterReqDto;
import com.liquidnet.service.chime.service.IChimeUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ChimeUserServiceImpl
 * @Package com.liquidnet.service.chime.service.impl
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/8 16:17
 */
@Slf4j
@Service
public class ChimeUserServiceImpl implements IChimeUserService {
    @Autowired
    private EasemobUtil easemobUtil;
    @Override
    public JSONObject register(ChimeUserRegisterReqDto reqDto) {
        String result = easemobUtil.createUser(reqDto.getUserId(),"123456",reqDto.getNickName());
        log.info("chime easemobUtil.createUser result:{}",result);
        JSONObject jsonObject = JSONObject.parseObject(result);
        return jsonObject;
    }
}
